TYPO3.Flow - Feature # 3956

Status: Resolved Priority: Could have

Author: Robert Lemke Category: Validation

Created: 2009-07-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:

PHP Version:

Has patch:

Complexity:

Subject: Implement a Count Validator

Description

For the blog (and other apps) we need a Count Validator:

[
* @var \SplObjectStorage<F3\Blog\Domain\Model\Category>
* @validate Count(atLeast = 1)

*/
protected $categories;

The validate should be able to count everything implementing the Countable interface.

Associated revisions

Revision a95bc593 - 2009-09-23 17:30 - Karsten Dambekalns

[+FEATURE] FLOWS3 (Validation): Added CountValidator, resolves #3956.

History

#1 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#2 - 2009-09-23 16:52 - Karsten Dambekalns
- Status changed from New to Accepted

- Assigned To set to Karsten Dambekalns

- Target version set to 1.0 alpha 5

#3 - 2009-09-23 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3219.
